// #autoload
// #name        = ClassicOpts
// #version     = 1.0
// #date        = 7.18.03
// #author      = Evita
// #web         = http://scripts.tribalwar.com/evita/
// #description = Provides in-game menu to change Classic options.		  
// #category    = Evitas Scripts
// #config      = ClassicOptions

function Classic::Setup(%this) {

	if(%this.setup)
	  return;

new GuiControl(ClassicOptions) {

	profile = "GuiDefaultProfile";
	horizSizing = "center";
	vertSizing = "center";
	position = "0 0";
	extent = "640 480";
	minExtent = "8 8";
	visible = "1";
	hideCursor = "0";
	bypassHideCursor = "0";
	helpTag = "0";

	new ShellPaneCtrl() {
		profile = "ShellPaneProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "121 62";
		extent = "320 200";
		minExtent = "48 92";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		text = "Classic Opts";
		longTextBuffer = "0";
		maxLength = "255";
		noTitleBar = "0";
	};
	new ShellFieldCtrl() {
		profile = "ShellFieldProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "144 94";
		extent = "275 147";
		minExtent = "16 18";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
	};
	new ShellToggleButton(IgnoreMessages) {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "210 105";
		extent = "140 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		variable = "$pref::Classic::ignoreTeamDestroyMessages";
		helpTag = "0";
		text = "Ignore Messages";
		longTextBuffer = "0";
		maxLength = "255";
	};
	new ShellToggleButton(PlayerHitSound) {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "210 137";
		extent = "140 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		variable = "$pref::Classic::playerHitSound";
		helpTag = "0";
		text = "Player Hit Sound";
		longTextBuffer = "0";
		maxLength = "255";
	};
	new ShellToggleButton(VehicleHitSound) {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "210 169";
		extent = "140 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		variable = "$pref::Classic::vehicleHitSound";
		helpTag = "0";
		text = "Vehicle Hit Sound";
		longTextBuffer = "0";
		maxLength = "255";
	};
	new ShellToggleButton(WasteRepairKit) {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "210 201";
		extent = "140 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		variable = "$pref::Classic::wasteRepairKit";
		helpTag = "0";
		text = "Waste Repair Kit";
		longTextBuffer = "0";
		maxLength = "255";
	};
};
		IgnoreMessages.setValue($pref::Classic::ignoreTeamDestroyMessages);
		PlayerHitSound.setValue($pref::Classic::playerHitSound);
		VehicleHitSound.setValue($pref::Classic::vehicleHitSound);
		WasteRepairKit.setValue($pref::Classic::wasteRepairKit);

		%this.setup = true;
}

Classic::Setup(%this);